Bug 64038

Summary: [Patch] x11/libXcursor -- add missing depends
Product: Ports & Packages Reporter: Michael Johnson <ahze>
Component: Individual Port(s)Assignee: freebsd-x11 (Nobody) <x11>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Michael Johnson 2004-03-10 12:30:21 UTC
noticed on bento

needs gnomelibs & libXfixes
Comment 1 Kirill Ponomarev freebsd_committer 2004-03-10 15:15:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->x11

Over to maintainers
Comment 2 Joe Marcus Clarke freebsd_committer 2004-03-11 18:14:39 UTC
State Changed
From-To: open->closed

Committed without the gnomelibs dependency.  This is not needed.  Thanks!
Comment 3 Michael Johnson 2004-03-11 22:45:04 UTC
Why was gnomelibs not added  USE_GNOME? libXcursor uses gnome-config

michael
Comment 4 Joe Marcus Clarke freebsd_committer 2004-03-11 22:51:41 UTC
On Thu, 2004-03-11 at 17:45, Michael Johnson wrote:
> Why was gnomelibs not added  USE_GNOME? libXcursor uses gnome-config


No it doesn't.  The error you see in configure is a red herring. 
pkg-config will attempt to use gnome-config as a last ditch effort to
find a dependency.  If you see the gnome-config error, it just means
your missing some other dependency (in this case, libXfixes).

Joe

> 
> michael

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome